glab(1)

NAME
glab-ci-cancel-pipeline - Cancel CI/CD pipelines.

SYNOPSIS
glab ci cancel pipeline [...] [flags]

DESCRIPTION
Cancels one or more running CI/CD pipelines by ID. You can pass multiple pipeline IDs as separate arguments, in a comma-separated list, or in a quoted space-separated list.

To preview which pipelines would be canceled without making changes, use --dry-run.

OPTIONS
--dry-run[=false]
    Show which pipelines would be canceled, without canceling them.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Cancel a single pipeline
    glab ci cancel pipeline 1504182795
    # Cancel multiple pipelines, comma-separated
    glab ci cancel pipeline 1504182795,1504182796
    # Cancel multiple pipelines, space-separated in quotes
    glab ci cancel pipeline "1504182795 1504182796"
    # Preview which pipelines would be canceled
    glab ci cancel pipeline 1504182795,1504182796 --dry-run

SEE ALSO
glab-ci-cancel(1)